:root {
  --blue: #1e2425  ; /*nav link colour*/
  --yellow:  #1E506D; /*contact button */

  --offwhite:  rgb(243, 243, 243); 
  --largemaxwidth: 1720px;
  --maxwidth: 1300px;
  --newgrey: #a6a6a6;
  --darkgrey:   #2f393d;
  --teal: #6e97ac;
  --tw-ring-offset-shadow: 0 0 #0000;
  --tw-ring-shadow: 0 0 #0000;
  --tw-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
  --outline-width: 3px;
  --outline-color: rgba(0, 125, 250, 1);
  --outline-offset: -3px; /*use where it could stick out of page structure*/
}
.construction-s1 h1{
  font-size: 3.2rem; 
  color: var(--teal);
  font-weight: 700;
  margin-bottom: 20px;
  letter-spacing: -0.1px;
}
.construction-s1 h2{
  color: var(--newgrey);
  font-size: 2.5rem; 
  font-weight: 500;
  margin-bottom: 10px;
  position: relative;
}
.construction-grid{
  display: grid;
  grid-template-columns: 1fr 1fr;

}
.construction-grid p{
  padding: 30px;
}
.construction-grid div:first-child{
  border-right: 10px solid var(--teal);
}
.construction-time{
  position: relative;
  margin-bottom: 50px;
  margin-top: 40px;
}
.construction-grid:nth-child(odd) h2{
  text-align: end;
  padding-right: 10px;
}
.construction-grid:nth-child(even) h2{
  padding-left: 10px;
  
}
.construction-grid:nth-child(odd) h2::after{
  content: "";
  display: inline-block;
  font-size: 4rem;
  vertical-align: middle;
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 50%;
  background: var(--teal);
  position: absolute;
  right: 0;
  top: 0;
  transform: translate(calc(50% + 5px), 1.2rem);

}
.construction-grid:nth-child(even) h2::before{
  content: "";
  display: inline-block;
  font-size: 4rem;
  vertical-align: middle;
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 50%;
  background: var(--teal);
  
  position: absolute;
  left: 0;
  top: 0;
  transform: translate(calc(-50% + -5px), 1.2rem);
}
.construction-videos{
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  width: 100%;
}
.construction-videos video{
  object-fit: cover;
  object-position: center;
  width: 300px;
  height: 300px;
  border-radius: 50%;
  outline: 4px solid var(--newgrey);
  border-radius: 50%;
  margin-top: 60px;
  margin-bottom: 60px;
}
.end-video iframe{
  width: 100%;
  aspect-ratio: 16 / 9;
  padding-left: 40px;
  padding-right: 40px;
}
.faq{
  background-color: var(--teal);  
  padding-top: 40px;
  padding-bottom: 40px;
}
.faq h2{
  color: white;
}
.faq summary{
  padding: 10px;
  padding-right: 20px;
  border-top: 2px solid #c9c6c6;
  cursor: pointer;
  background-color: var(--teal);
  color: white;
  font-size: 1.4rem;
}
details{
  margin-bottom: 2px;
}
summary {
  position: relative;
  &::marker {
    content: "";
  }
  &::before,
  &::after {
    content: "";
    border-block-start: 3px solid white;
    height: 0;
    width: 1rem;
    inset-block-start: 50%;
    inset-inline-end: 0; 
    position: absolute;
  }
  &::after {
    transform: rotate(90deg);
    transform-origin: 50%;
  }
}
details[open] summary::after {
  transform: rotate(0deg);
}
.faq p{
  margin-top: 20px;
  margin-bottom: 30px;
  margin-left: 10px;
  margin-right: 10px;
  color: white;
}
@media screen and (max-width: 1150px) {
  .construction-s1 h1{
    font-size: max(calc( 3.2rem + calc(3.687vw + -44.40px)), 1.8rem);
  }
  .construction-s1 h2{
    font-size: 1.5rem;
  }
  .construction-s1 p{
    font-size: 1rem;
  }
  .construction-s1 h2::before{
    width: 0.5rem;
    height: 0.5rem;
  }
}
@media screen and (max-width: 800px) {
  .construction-grid:nth-child(odd) h2, .construction-grid:nth-child(even) h2{
    padding-left: 20px;
  }
  .construction-grid{
    grid-template-columns: 1fr;
  }
  .construction-grid:nth-child(even) .construction-text-hold{
    order: 0;
  }
  .construction-grid:nth-child(even) .construction-videos{
    order: 1;
  }
  .construction-grid:nth-child(odd) h2{
    text-align: start;
  }
  .construction-grid div:first-child{
    border-right: none;
  }
  .construction-grid div{
    border-left: 10px solid var(--teal);
  }
  .construction-grid:nth-child(odd) h2::after{
    right: none;
    left: 0;
    top: 0;
    transform: translate(calc(-50% + -5px), 0.2rem);
  }
  .construction-grid:nth-child(even) h2::before{
    transform: translate(calc(-50% + -5px), 0.2rem);
  }
  .construction-videos video{
    width: 400px;
    height: 400px;
  }
  .construction-videos video{
    margin-bottom: 80px;
    margin-top: 0;
  }
  .construction-grid p{
    padding-top: 10px;
  }
  .end-video iframe{
    padding: 0;
  }
}
@media screen and (max-width: 500px) {
  .construction-videos video{
    width: 240px;
    height: 240px;
  }
  
}